Description

I suggested this idea for ArcGIS, as well, at ideas.arcgis.com.  (It quickly got buried, however.)

One of my biggest production pitfalls is waiting on a map to refresh, yet trying to find a suitable scale that I don't have to keep panning and

zooming to see features with the amount of detail required to digitize accurately.  We digitize off of aerial-based features frequently, and

sometimes features at a specific viewing scale are so close together that they can slow down productivity.  I often have to pull out the

magnifier window to place points that are close together, or maybe it's a zoom-in-zoom-out game to query multiple points that are bunched

up tight together in places of a map.  (Think of a rural water map where there are clusters of residential meters that may only be two feet

apart, but you're interacting with it on a 1:2400 scale because of the county-wide expanse of sparsely-placed meters across the map...

and so you're always zooming in for the clusters and zooming out to pan to the next points, etc....)

Anyway, on to the meat of the idea here.  In the printing industry, printers have what's called a "loupe."  It's a magnifying lens that you can

place over any portion of a print and look at it.  (Much like the magnifying window of ArcMap, I know.)  Ok, but now take that loupe and

add crosshairs to it.  (Think of a sniper rifle scope.)  Now make that loupe become the mouse cursor such that it moves wherever you

move your mouse while you're live in an active mapping session.  The center of the crosshairs is where your "mouse-clicks" will engage

with any feature on the map.  Suddenly you now have a head's-up overview map at maybe 1:12,000 scale with a live "mouse loupe" at

maybe 1:200 scale with crosshairs that let you precisely pinpoint a new feature, whether it's for querying bunched up features or placing

features that are in close proximity (or what have you).

I don't know about you, but for all the time I waste navigating a map... I'd rather wait to let the map load up all the caching necessary to

feed the loupe "live" information within the current data frame at the desired scale up front than have to constantly pan, wait, zoom, wait,

zoom, wait, pan, wait... to get my editing done.

At any rate, I think this would be far more productive, as long as whatever contents this loupe were magnifying could be displayed and

updated in real time with the mouse movement.   I'm envisioning something that might look like this, with an integrated scale bar,

perhaps:

http://www.bullseyecrosshairs.com/flankersnipe.png

Another commenter, BruceLang, from my idea post added this:  A cursor zooming "loupe" is much better than the "magnifying window" -

especially if the "loupe" zoom is dynamic using the mouse wheel.

History

#1 - 2012-03-07 03:22 AM - Giovanni Manghi

- Priority changed from Normal to Low

- Target version set to Version 2.0.0

Have you evaluate the possibility to support the development of such feature? Cheers
#2 - 2012-03-07 03:27 AM - Nathan Woodrow

I like this idea, it's pretty cool.  Wish I had the skills to add it for you.

#3 - 2012-06-24 11:00 PM - Alister Hood

Yes, this would be very cool.  I actually thought I'd filed a ticket for it, but if so I can't find it.

There could also be a shortcut key to toggle the mouse tracking on and off.  When mouse tracking is off the magnifier would still work, but it would stay

zooming on the same part of the map view.

#4 - 2012-10-06 02:25 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#6 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
